com.ibm.openpages.api.workflow

## Enum WFProcessDefinitionType

- java.lang.Object
- - java.lang.Enum<WFProcessDefinitionType>
  - - com.ibm.openpages.api.workflow.WFProcessDefinitionType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<WFProcessDefinitionType>

      public enum WFProcessDefinitionType
      extends java.lang.Enum<WFProcessDefinitionType>

  Represents the type of process definition.
  Since:
    8.0.0.2

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `create` Represents the type that the workflow is started during the object creation
    `standard` Represents the type that the workflow is started by a user operation or API call on {@ IWorkflowService#startProcess(com.ibm.openpages.api.metadata.Id, com.ibm.openpages.api.metadata.Id)

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getId()`
    `static WFProcessDefinitionType` | `getValue(int id)`
    `static WFProcessDefinitionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static WFProcessDefinitionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### create

          public static final WFProcessDefinitionType create

      Represents the type that the workflow is started during the object creation

    - #### standard

          public static final WFProcessDefinitionType standard

      Represents the type that the workflow is started by a user operation or API call on {@ IWorkflowService#startProcess(com.ibm.openpages.api.metadata.Id, com.ibm.openpages.api.metadata.Id)

  - ### Method Detail

    - #### values

          public static WFProcessDefinitionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WFProcessDefinitionType c : WFProcessDefinitionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WFProcessDefinitionType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getId

          public int getId()

    - #### getValue

          public static WFProcessDefinitionType getValue(int id)

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.